curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/users/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendInviteEmail": false,
"skipIfUserExists": false,
"dryRun": false,
"acceptInviteClientURL": "<control plane url>/invite-accept"
}
'{}This endpoint allows tenant administrators to register users within their tenant.
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/users/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendInviteEmail": false,
"skipIfUserExists": false,
"dryRun": false,
"acceptInviteClientURL": "<control plane url>/invite-accept"
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Email of the user
Send invite email if user does not exist
Fail if user exists
Dry run
Url to redirect when invite is accepted
"<control plane url>/invite-accept"
The users have been successfully registered.
The response is of type RegisterUsersResponse · object.
Was this page helpful?